summaryrefslogtreecommitdiffstats
path: root/third_party/lcov/bin/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/lcov/bin/install.sh')
-rwxr-xr-xthird_party/lcov/bin/install.sh68
1 files changed, 68 insertions, 0 deletions
diff --git a/third_party/lcov/bin/install.sh b/third_party/lcov/bin/install.sh
new file mode 100755
index 0000000..9d4a9da
--- /dev/null
+++ b/third_party/lcov/bin/install.sh
@@ -0,0 +1,68 @@
+#!/bin/bash
+#
+# install.sh [--uninstall] sourcefile targetfile
+#
+
+
+# Check for uninstall option
+if test "x$1" == "x--uninstall" ; then
+ UNINSTALL=true
+ SOURCE=$2
+ TARGET=$3
+else
+ UNINSTALL=false
+ SOURCE=$1
+ TARGET=$2
+fi
+
+# Check usage
+if test -z "$SOURCE" || test -z "$TARGET" ; then
+ echo Usage: install.sh [--uninstall] source target >&2
+ exit 1
+fi
+
+
+#
+# do_install(SOURCE_FILE, TARGET_FILE)
+#
+
+do_install()
+{
+ local SOURCE=$1
+ local TARGET=$2
+
+ install -D $SOURCE $TARGET
+}
+
+
+#
+# do_uninstall(SOURCE_FILE, TARGET_FILE)
+#
+
+do_uninstall()
+{
+ local SOURCE=$1
+ local TARGET=$2
+
+ # Does target exist?
+ if test -r $TARGET ; then
+ # Is target of the same version as this package?
+ if diff $SOURCE $TARGET >/dev/null; then
+ rm -f $TARGET
+ else
+ echo WARNING: Skipping uninstall for $TARGET - versions differ! >&2
+ fi
+ else
+ echo WARNING: Skipping uninstall for $TARGET - not installed! >&2
+ fi
+}
+
+
+# Call sub routine
+if $UNINSTALL ; then
+ do_uninstall $SOURCE $TARGET
+else
+ do_install $SOURCE $TARGET
+fi
+
+exit 0